#!/bin/bash
# -*- mode: sh; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# vim: et sts=4 sw=4

#  SPDX-License-Identifier: LGPL-2.1+
#
#  Copyright © 2021 Collabora Ltd.
#  Copyright © 2021 Valve Corporation.
#
#  This file is part of steamos-customizations.
#
#  steamos-customizations is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public License as
#  published by the Free Software Foundation; either version 2.1 of the License,
#  or (at your option) any later version.

set -e
set -u

case "$1" in
get-primary)
    echo "self"
    ;;
set-primary)
    if [[ "$2" != self ]]
    then
        touch /run/steamos/reboot-other
    fi
    ;;
get-state)
    if [[ "$2" == self ]]
    then
        echo good
    else
        echo bad
    fi
	;;
set-state)
    true
    ;;
*)
    echo "${1:-(nil)}: Invalid argument" >&2
    exit 127
    ;;
esac
